### Method

# Adw PreferencesPage set_banner

since: 1.7

#### Declaration [src]

    void
    adw_preferences_page_set_banner (
      AdwPreferencesPage* self,
      AdwBanner* banner
    )

#### Description [src]

Sets the banner displayed at the top of the page.

Available since: 1.7

Sets property | `Adw.PreferencesPage:banner`

#### Parameters

`banner`

  Type: `AdwBanner`

  The banner to display at the top of the page.

  The argument can be `NULL`.
  The data is owned by the caller of the method.